Constants (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.Constants,Constants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel
Interface Constants

All Known Implementing Classes:
  Class2HTML, CodeException, LocalVariable, Pass2Verifier, UninitializedObjectType

public interface Constants

Constants for the project, mostly defined in the JVM specification.

Version:
  $Id: Constants.java,v 1.3 2002/06/06 11:30:27 mdahm Exp $
Author:
  M. Dahm

Field Summary
`static short` | `AALOAD`
`static short` | `AASTORE`
`static short` | `ACC_ABSTRACT`
`static short` | `ACC_FINAL`
`static short` | `ACC_INTERFACE`
`static short` | `ACC_NATIVE`
`static short` | `ACC_PRIVATE`
`static short` | `ACC_PROTECTED`
`static short` | `ACC_PUBLIC` Access flags for classes, fields and methods.
`static short` | `ACC_STATIC`
`static short` | `ACC_STRICT`
`static short` | `ACC_SUPER`
`static short` | `ACC_SYNCHRONIZED`
`static short` | `ACC_TRANSIENT`
`static short` | `ACC_VOLATILE`
`static java.lang.String[]` | `ACCESS_NAMES`
`static short` | `ACONST_NULL`
`static short` | `ALOAD`
`static short` | `ALOAD_0`
`static short` | `ALOAD_1`
`static short` | `ALOAD_2`
`static short` | `ALOAD_3`
`static short` | `ANEWARRAY`
`static short` | `ANEWARRAY_QUICK`
`static short` | `ARETURN`
`static short` | `ARRAYLENGTH`
`static short` | `ASTORE`
`static short` | `ASTORE_0`
`static short` | `ASTORE_1`
`static short` | `ASTORE_2`
`static short` | `ASTORE_3`
`static short` | `ATHROW`
`static byte` | `ATTR_CODE`
`static byte` | `ATTR_CONSTANT_VALUE`
`static byte` | `ATTR_DEPRECATED`
`static byte` | `ATTR_EXCEPTIONS`
`static byte` | `ATTR_INNER_CLASSES`
`static byte` | `ATTR_LINE_NUMBER_TABLE`
`static byte` | `ATTR_LOCAL_VARIABLE_TABLE`
`static byte` | `ATTR_PMG`
`static byte` | `ATTR_SIGNATURE`
`static byte` | `ATTR_SOURCE_FILE`
`static byte` | `ATTR_STACK_MAP`
`static byte` | `ATTR_SYNTHETIC`
`static byte` | `ATTR_UNKNOWN` Attributes and their corresponding names.
`static java.lang.String[]` | `ATTRIBUTE_NAMES`
`static short` | `BALOAD`
`static short` | `BASTORE`
`static short` | `BIPUSH`
`static short` | `BREAKPOINT` Non-legal opcodes, may be used by JVM internally.
`static short` | `CALOAD`
`static short` | `CASTORE`
`static short` | `CHECKCAST`
`static short` | `CHECKCAST_QUICK`
`static java.lang.String[]` | `CLASS_TYPE_NAMES` The primitive class names corresponding to the T_XX constants, e.g., CLASS_TYPE_NAMES[T_INT] = "java.lang.Integer"
`static byte` | `CONSTANT_Class`
`static byte` | `CONSTANT_Double`
`static byte` | `CONSTANT_Fieldref`
`static byte` | `CONSTANT_Float`
`static byte` | `CONSTANT_Integer`
`static byte` | `CONSTANT_InterfaceMethodref`
`static byte` | `CONSTANT_Long`
`static byte` | `CONSTANT_Methodref`
`static byte` | `CONSTANT_NameAndType`
`static java.lang.String[]` | `CONSTANT_NAMES`
`static byte` | `CONSTANT_String`
`static byte` | `CONSTANT_Utf8` Tags in constant pool to denote type of constant.
`static java.lang.String` | `CONSTRUCTOR_NAME` The name of every constructor method in a class, also called "instance initialization method".
`static int[]` | `CONSUME_STACK` Number of words consumed on operand stack by instructions.
`static short` | `D2F`
`static short` | `D2I`
`static short` | `D2L`
`static short` | `DADD`
`static short` | `DALOAD`
`static short` | `DASTORE`
`static short` | `DCMPG`
`static short` | `DCMPL`
`static short` | `DCONST_0`
`static short` | `DCONST_1`
`static short` | `DDIV`
`static short` | `DLOAD`
`static short` | `DLOAD_0`
`static short` | `DLOAD_1`
`static short` | `DLOAD_2`
`static short` | `DLOAD_3`
`static short` | `DMUL`
`static short` | `DNEG`
`static short` | `DREM`
`static short` | `DRETURN`
`static short` | `DSTORE`
`static short` | `DSTORE_0`
`static short` | `DSTORE_1`
`static short` | `DSTORE_2`
`static short` | `DSTORE_3`
`static short` | `DSUB`
`static short` | `DUP`
`static short` | `DUP_X1`
`static short` | `DUP_X2`
`static short` | `DUP2`
`static short` | `DUP2_X1`
`static short` | `DUP2_X2`
`static short` | `F2D`
`static short` | `F2I`
`static short` | `F2L`
`static short` | `FADD`
`static short` | `FALOAD`
`static short` | `FASTORE`
`static short` | `FCMPG`
`static short` | `FCMPL`
`static short` | `FCONST_0`
`static short` | `FCONST_1`
`static short` | `FCONST_2`
`static short` | `FDIV`
`static short` | `FLOAD`
`static short` | `FLOAD_0`
`static short` | `FLOAD_1`
`static short` | `FLOAD_2`
`static short` | `FLOAD_3`
`static short` | `FMUL`
`static short` | `FNEG`
`static short` | `FREM`
`static short` | `FRETURN`
`static short` | `FSTORE`
`static short` | `FSTORE_0`
`static short` | `FSTORE_1`
`static short` | `FSTORE_2`
`static short` | `FSTORE_3`
`static short` | `FSUB`
`static short` | `GETFIELD`
`static short` | `GETFIELD_QUICK`
`static short` | `GETFIELD_QUICK_W`
`static short` | `GETFIELD2_QUICK`
`static short` | `GETSTATIC`
`static short` | `GETSTATIC_QUICK`
`static short` | `GETSTATIC2_QUICK`
`static short` | `GOTO`
`static short` | `GOTO_W`
`static short` | `I2B`
`static short` | `I2C`
`static short` | `I2D`
`static short` | `I2F`
`static short` | `I2L`
`static short` | `I2S`
`static short` | `IADD`
`static short` | `IALOAD`
`static short` | `IAND`
`static short` | `IASTORE`
`static short` | `ICONST_0`
`static short` | `ICONST_1`
`static short` | `ICONST_2`
`static short` | `ICONST_3`
`static short` | `ICONST_4`
`static short` | `ICONST_5`
`static short` | `ICONST_M1`
`static short` | `IDIV`
`static short` | `IF_ACMPEQ`
`static short` | `IF_ACMPNE`
`static short` | `IF_ICMPEQ`
`static short` | `IF_ICMPGE`
`static short` | `IF_ICMPGT`
`static short` | `IF_ICMPLE`
`static short` | `IF_ICMPLT`
`static short` | `IF_ICMPNE`
`static short` | `IFEQ`
`static short` | `IFGE`
`static short` | `IFGT`
`static short` | `IFLE`
`static short` | `IFLT`
`static short` | `IFNE`
`static short` | `IFNONNULL`
`static short` | `IFNULL`
`static short` | `IINC`
`static java.lang.String` | `ILLEGAL_OPCODE`
`static java.lang.String` | `ILLEGAL_TYPE`
`static short` | `ILOAD`
`static short` | `ILOAD_0`
`static short` | `ILOAD_1`
`static short` | `ILOAD_2`
`static short` | `ILOAD_3`
`static short` | `IMPDEP1`
`static short` | `IMPDEP2`
`static short` | `IMUL`
`static short` | `INEG`
`static short` | `INSTANCEOF`
`static short` | `INSTANCEOF_QUICK`
`static short` | `INT2BYTE`
`static short` | `INT2CHAR`
`static short` | `INT2SHORT`
`static java.lang.String[]` | `INTERFACES_IMPLEMENTED_BY_ARRAYS` The names of the interfaces implemented by arrays
`static short` | `INVOKEINTERFACE`
`static short` | `INVOKEINTERFACE_QUICK`
`static short` | `INVOKENONVIRTUAL`
`static short` | `INVOKENONVIRTUAL_QUICK`
`static short` | `INVOKESPECIAL`
`static short` | `INVOKESTATIC`
`static short` | `INVOKESTATIC_QUICK`
`static short` | `INVOKESUPER_QUICK`
`static short` | `INVOKEVIRTUAL`
`static short` | `INVOKEVIRTUAL_QUICK`
`static short` | `INVOKEVIRTUAL_QUICK_W`
`static short` | `INVOKEVIRTUALOBJECT_QUICK`
`static short` | `IOR`
`static short` | `IREM`
`static short` | `IRETURN`
`static short` | `ISHL`
`static short` | `ISHR`
`static short` | `ISTORE`
`static short` | `ISTORE_0`
`static short` | `ISTORE_1`
`static short` | `ISTORE_2`
`static short` | `ISTORE_3`
`static short` | `ISUB`
`static byte` | `ITEM_Bogus` Constants used in the StackMap attribute.
`static byte` | `ITEM_Double`
`static byte` | `ITEM_Float`
`static byte` | `ITEM_InitObject`
`static byte` | `ITEM_Integer`
`static byte` | `ITEM_Long`
`static java.lang.String[]` | `ITEM_NAMES`
`static byte` | `ITEM_NewObject`
`static byte` | `ITEM_Null`
`static byte` | `ITEM_Object`
`static short` | `IUSHR`
`static short` | `IXOR`
`static short` | `JSR`
`static short` | `JSR_W`
`static short` | `KNOWN_ATTRIBUTES`
`static short` | `L2D`
`static short` | `L2F`
`static short` | `L2I`
`static short` | `LADD`
`static short` | `LALOAD`
`static short` | `LAND`
`static short` | `LASTORE`
`static short` | `LCMP`
`static short` | `LCONST_0`
`static short` | `LCONST_1`
`static short` | `LDC`
`static short` | `LDC_QUICK`
`static short` | `LDC_W`
`static short` | `LDC_W_QUICK`
`static short` | `LDC2_W`
`static short` | `LDC2_W_QUICK`
`static short` | `LDIV`
`static short` | `LLOAD`
`static short` | `LLOAD_0`
`static short` | `LLOAD_1`
`static short` | `LLOAD_2`
`static short` | `LLOAD_3`
`static short` | `LMUL`
`static short` | `LNEG`
`static short` | `LOOKUPSWITCH`
`static short` | `LOR`
`static short` | `LREM`
`static short` | `LRETURN`
`static short` | `LSHL`
`static short` | `LSHR`
`static short` | `LSTORE`
`static short` | `LSTORE_0`
`static short` | `LSTORE_1`
`static short` | `LSTORE_2`
`static short` | `LSTORE_3`
`static short` | `LSUB`
`static short` | `LUSHR`
`static short` | `LXOR`
`static short` | `MAJOR`
`static short` | `MAJOR_1_1` Major and minor version of the code.
`static short` | `MAJOR_1_2`
`static short` | `MAJOR_1_3`
`static short` | `MAX_ACC_FLAG`
`static int` | `MAX_BYTE` Maximum value for an unsigned byte.
`static int` | `MAX_CODE_SIZE`
`static int` | `MAX_CP_ENTRIES` Limitations of the Java Virtual Machine.
`static int` | `MAX_SHORT` Maximum value for an unsigned short.
`static short` | `MINOR`
`static short` | `MINOR_1_1`
`static short` | `MINOR_1_2`
`static short` | `MINOR_1_3`
`static short` | `MONITORENTER`
`static short` | `MONITOREXIT`
`static short` | `MULTIANEWARRAY`
`static short` | `MULTIANEWARRAY_QUICK`
`static short` | `NEW`
`static short` | `NEW_QUICK`
`static short` | `NEWARRAY`
`static short[]` | `NO_OF_OPERANDS` Number of byte code operands, i.e., number of bytes after the tag byte itself.
`static short` | `NOP` Java VM opcodes.
`static java.lang.String[]` | `OPCODE_NAMES` Names of opcodes.
`static short` | `POP`
`static short` | `POP2`
`static int[]` | `PRODUCE_STACK` Number of words produced onto operand stack by instructions.
`static short` | `PUSH` For internal purposes only.
`static short` | `PUTFIELD`
`static short` | `PUTFIELD_QUICK`
`static short` | `PUTFIELD_QUICK_W`
`static short` | `PUTFIELD2_QUICK`
`static short` | `PUTSTATIC`
`static short` | `PUTSTATIC_QUICK`
`static short` | `PUTSTATIC2_QUICK`
`static short` | `RESERVED`
`static short` | `RET`
`static short` | `RETURN`
`static short` | `SALOAD`
`static short` | `SASTORE`
`static java.lang.String[]` | `SHORT_TYPE_NAMES` The signature characters corresponding to primitive types, e.g., SHORT_TYPE_NAMES[T_INT] = "I"
`static short` | `SIPUSH`
`static java.lang.String` | `STATIC_INITIALIZER_NAME` The name of the static initializer, also called "class initialization method" or "interface initialization method".
`static short` | `SWAP`
`static short` | `SWITCH`
`static byte` | `T_ADDRESS`
`static byte` | `T_ARRAY`
`static byte` | `T_BOOLEAN`
`static byte` | `T_BYTE`
`static byte` | `T_CHAR`
`static byte` | `T_DOUBLE`
`static byte` | `T_FLOAT`
`static byte` | `T_INT`
`static byte` | `T_LONG`
`static byte` | `T_OBJECT`
`static byte` | `T_REFERENCE`
`static byte` | `T_SHORT`
`static byte` | `T_UNKNOWN`
`static byte` | `T_VOID`
`static short` | `TABLESWITCH`
`static java.lang.String[]` | `TYPE_NAMES` The primitive type names corresponding to the T_XX constants, e.g., TYPE_NAMES[T_INT] = "int"
`static short[][]` | `TYPE_OF_OPERANDS` How the byte code operands are to be interpreted.
`static short` | `UNDEFINED` Illegal codes
`static short` | `UNPREDICTABLE`
`static short` | `WIDE`

Field Detail

### MAJOR_1_1

    public static final short MAJOR_1_1

  Major and minor version of the code.

  See Also:
    Constant Field Values

### MINOR_1_1

    public static final short MINOR_1_1

See Also:
  Constant Field Values

### MAJOR_1_2

    public static final short MAJOR_1_2

See Also:
  Constant Field Values

### MINOR_1_2

    public static final short MINOR_1_2

See Also:
  Constant Field Values

### MAJOR_1_3

    public static final short MAJOR_1_3

See Also:
  Constant Field Values

### MINOR_1_3

    public static final short MINOR_1_3

See Also:
  Constant Field Values

### MAJOR

    public static final short MAJOR

See Also:
  Constant Field Values

### MINOR

    public static final short MINOR

See Also:
  Constant Field Values

### MAX_SHORT

    public static final int MAX_SHORT

  Maximum value for an unsigned short.

  See Also:
    Constant Field Values

### MAX_BYTE

    public static final int MAX_BYTE

  Maximum value for an unsigned byte.

  See Also:
    Constant Field Values

### ACC_PUBLIC

    public static final short ACC_PUBLIC

  Access flags for classes, fields and methods.

  See Also:
    Constant Field Values

### ACC_PRIVATE

    public static final short ACC_PRIVATE

See Also:
  Constant Field Values

### ACC_PROTECTED

    public static final short ACC_PROTECTED

See Also:
  Constant Field Values

### ACC_STATIC

    public static final short ACC_STATIC

See Also:
  Constant Field Values

### ACC_FINAL

    public static final short ACC_FINAL

See Also:
  Constant Field Values

### ACC_SYNCHRONIZED

    public static final short ACC_SYNCHRONIZED

See Also:
  Constant Field Values

### ACC_VOLATILE

    public static final short ACC_VOLATILE

See Also:
  Constant Field Values

### ACC_TRANSIENT

    public static final short ACC_TRANSIENT

See Also:
  Constant Field Values

### ACC_NATIVE

    public static final short ACC_NATIVE

See Also:
  Constant Field Values

### ACC_INTERFACE

    public static final short ACC_INTERFACE

See Also:
  Constant Field Values

### ACC_ABSTRACT

    public static final short ACC_ABSTRACT

See Also:
  Constant Field Values

### ACC_STRICT

    public static final short ACC_STRICT

See Also:
  Constant Field Values

### ACC_SUPER

    public static final short ACC_SUPER

See Also:
  Constant Field Values

### MAX_ACC_FLAG

    public static final short MAX_ACC_FLAG

See Also:
  Constant Field Values

### ACCESS_NAMES

    public static final java.lang.String[] ACCESS_NAMES

### CONSTANT_Utf8

    public static final byte CONSTANT_Utf8

  Tags in constant pool to denote type of constant.

  See Also:
    Constant Field Values

### CONSTANT_Integer

    public static final byte CONSTANT_Integer

See Also:
  Constant Field Values

### CONSTANT_Float

    public static final byte CONSTANT_Float

See Also:
  Constant Field Values

### CONSTANT_Long

    public static final byte CONSTANT_Long

See Also:
  Constant Field Values

### CONSTANT_Double

    public static final byte CONSTANT_Double

See Also:
  Constant Field Values

### CONSTANT_Class

    public static final byte CONSTANT_Class

See Also:
  Constant Field Values

### CONSTANT_Fieldref

    public static final byte CONSTANT_Fieldref

See Also:
  Constant Field Values

### CONSTANT_String

    public static final byte CONSTANT_String

See Also:
  Constant Field Values

### CONSTANT_Methodref

    public static final byte CONSTANT_Methodref

See Also:
  Constant Field Values

### CONSTANT_InterfaceMethodref

    public static final byte CONSTANT_InterfaceMethodref

See Also:
  Constant Field Values

### CONSTANT_NameAndType

    public static final byte CONSTANT_NameAndType

See Also:
  Constant Field Values

### CONSTANT_NAMES

    public static final java.lang.String[] CONSTANT_NAMES

### STATIC_INITIALIZER_NAME

    public static final java.lang.String STATIC_INITIALIZER_NAME

  The name of the static initializer, also called "class initialization method" or "interface initialization method". This is "<clinit>".

  See Also:
    Constant Field Values

### CONSTRUCTOR_NAME

    public static final java.lang.String CONSTRUCTOR_NAME

  The name of every constructor method in a class, also called "instance initialization method". This is "<init>".

  See Also:
    Constant Field Values

### INTERFACES_IMPLEMENTED_BY_ARRAYS

    public static final java.lang.String[] INTERFACES_IMPLEMENTED_BY_ARRAYS

  The names of the interfaces implemented by arrays

### MAX_CP_ENTRIES

    public static final int MAX_CP_ENTRIES

  Limitations of the Java Virtual Machine. See The Java Virtual Machine Specification, Second Edition, page 152, chapter 4.10.

  See Also:
    Constant Field Values

### MAX_CODE_SIZE

    public static final int MAX_CODE_SIZE

See Also:
  Constant Field Values

### NOP

    public static final short NOP

  Java VM opcodes.

  See Also:
    Constant Field Values

### ACONST_NULL

    public static final short ACONST_NULL

See Also:
  Constant Field Values

### ICONST_M1

    public static final short ICONST_M1

See Also:
  Constant Field Values

### ICONST_0

    public static final short ICONST_0

See Also:
  Constant Field Values

### ICONST_1

    public static final short ICONST_1

See Also:
  Constant Field Values

### ICONST_2

    public static final short ICONST_2

See Also:
  Constant Field Values

### ICONST_3

    public static final short ICONST_3

See Also:
  Constant Field Values

### ICONST_4

    public static final short ICONST_4

See Also:
  Constant Field Values

### ICONST_5

    public static final short ICONST_5

See Also:
  Constant Field Values

### LCONST_0

    public static final short LCONST_0

See Also:
  Constant Field Values

### LCONST_1

    public static final short LCONST_1

See Also:
  Constant Field Values

### FCONST_0

    public static final short FCONST_0

See Also:
  Constant Field Values

### FCONST_1

    public static final short FCONST_1

See Also:
  Constant Field Values

### FCONST_2

    public static final short FCONST_2

See Also:
  Constant Field Values

### DCONST_0

    public static final short DCONST_0

See Also:
  Constant Field Values

### DCONST_1

    public static final short DCONST_1

See Also:
  Constant Field Values

### BIPUSH

    public static final short BIPUSH

See Also:
  Constant Field Values

### SIPUSH

    public static final short SIPUSH

See Also:
  Constant Field Values

### LDC

    public static final short LDC

See Also:
  Constant Field Values

### LDC_W

    public static final short LDC_W

See Also:
  Constant Field Values

### LDC2_W

    public static final short LDC2_W

See Also:
  Constant Field Values

### ILOAD

    public static final short ILOAD

See Also:
  Constant Field Values

### LLOAD

    public static final short LLOAD

See Also:
  Constant Field Values

### FLOAD

    public static final short FLOAD

See Also:
  Constant Field Values

### DLOAD

    public static final short DLOAD

See Also:
  Constant Field Values

### ALOAD

    public static final short ALOAD

See Also:
  Constant Field Values

### ILOAD_0

    public static final short ILOAD_0

See Also:
  Constant Field Values

### ILOAD_1

    public static final short ILOAD_1

See Also:
  Constant Field Values

### ILOAD_2

    public static final short ILOAD_2

See Also:
  Constant Field Values

### ILOAD_3

    public static final short ILOAD_3

See Also:
  Constant Field Values

### LLOAD_0

    public static final short LLOAD_0

See Also:
  Constant Field Values

### LLOAD_1

    public static final short LLOAD_1

See Also:
  Constant Field Values

### LLOAD_2

    public static final short LLOAD_2

See Also:
  Constant Field Values

### LLOAD_3

    public static final short LLOAD_3

See Also:
  Constant Field Values

### FLOAD_0

    public static final short FLOAD_0

See Also:
  Constant Field Values

### FLOAD_1

    public static final short FLOAD_1

See Also:
  Constant Field Values

### FLOAD_2

    public static final short FLOAD_2

See Also:
  Constant Field Values

### FLOAD_3

    public static final short FLOAD_3

See Also:
  Constant Field Values

### DLOAD_0

    public static final short DLOAD_0

See Also:
  Constant Field Values

### DLOAD_1

    public static final short DLOAD_1

See Also:
  Constant Field Values

### DLOAD_2

    public static final short DLOAD_2

See Also:
  Constant Field Values

### DLOAD_3

    public static final short DLOAD_3

See Also:
  Constant Field Values

### ALOAD_0

    public static final short ALOAD_0

See Also:
  Constant Field Values

### ALOAD_1

    public static final short ALOAD_1

See Also:
  Constant Field Values

### ALOAD_2

    public static final short ALOAD_2

See Also:
  Constant Field Values

### ALOAD_3

    public static final short ALOAD_3

See Also:
  Constant Field Values

### IALOAD

    public static final short IALOAD

See Also:
  Constant Field Values

### LALOAD

    public static final short LALOAD

See Also:
  Constant Field Values

### FALOAD

    public static final short FALOAD

See Also:
  Constant Field Values

### DALOAD

    public static final short DALOAD

See Also:
  Constant Field Values

### AALOAD

    public static final short AALOAD

See Also:
  Constant Field Values

### BALOAD

    public static final short BALOAD

See Also:
  Constant Field Values

### CALOAD

    public static final short CALOAD

See Also:
  Constant Field Values

### SALOAD

    public static final short SALOAD

See Also:
  Constant Field Values

### ISTORE

    public static final short ISTORE

See Also:
  Constant Field Values

### LSTORE

    public static final short LSTORE

See Also:
  Constant Field Values

### FSTORE

    public static final short FSTORE

See Also:
  Constant Field Values

### DSTORE

    public static final short DSTORE

See Also:
  Constant Field Values

### ASTORE

    public static final short ASTORE

See Also:
  Constant Field Values

### ISTORE_0

    public static final short ISTORE_0

See Also:
  Constant Field Values

### ISTORE_1

    public static final short ISTORE_1

See Also:
  Constant Field Values

### ISTORE_2

    public static final short ISTORE_2

See Also:
  Constant Field Values

### ISTORE_3

    public static final short ISTORE_3

See Also:
  Constant Field Values

### LSTORE_0

    public static final short LSTORE_0

See Also:
  Constant Field Values

### LSTORE_1

    public static final short LSTORE_1

See Also:
  Constant Field Values

### LSTORE_2

    public static final short LSTORE_2

See Also:
  Constant Field Values

### LSTORE_3

    public static final short LSTORE_3

See Also:
  Constant Field Values

### FSTORE_0

    public static final short FSTORE_0

See Also:
  Constant Field Values

### FSTORE_1

    public static final short FSTORE_1

See Also:
  Constant Field Values

### FSTORE_2

    public static final short FSTORE_2

See Also:
  Constant Field Values

### FSTORE_3

    public static final short FSTORE_3

See Also:
  Constant Field Values

### DSTORE_0

    public static final short DSTORE_0

See Also:
  Constant Field Values

### DSTORE_1

    public static final short DSTORE_1

See Also:
  Constant Field Values

### DSTORE_2

    public static final short DSTORE_2

See Also:
  Constant Field Values

### DSTORE_3

    public static final short DSTORE_3

See Also:
  Constant Field Values

### ASTORE_0

    public static final short ASTORE_0

See Also:
  Constant Field Values

### ASTORE_1

    public static final short ASTORE_1

See Also:
  Constant Field Values

### ASTORE_2

    public static final short ASTORE_2

See Also:
  Constant Field Values

### ASTORE_3

    public static final short ASTORE_3

See Also:
  Constant Field Values

### IASTORE

    public static final short IASTORE

See Also:
  Constant Field Values

### LASTORE

    public static final short LASTORE

See Also:
  Constant Field Values

### FASTORE

    public static final short FASTORE

See Also:
  Constant Field Values

### DASTORE

    public static final short DASTORE

See Also:
  Constant Field Values

### AASTORE

    public static final short AASTORE

See Also:
  Constant Field Values

### BASTORE

    public static final short BASTORE

See Also:
  Constant Field Values

### CASTORE

    public static final short CASTORE

See Also:
  Constant Field Values

### SASTORE

    public static final short SASTORE

See Also:
  Constant Field Values

### POP

    public static final short POP

See Also:
  Constant Field Values

### POP2

    public static final short POP2

See Also:
  Constant Field Values

### DUP

    public static final short DUP

See Also:
  Constant Field Values

### DUP_X1

    public static final short DUP_X1

See Also:
  Constant Field Values

### DUP_X2

    public static final short DUP_X2

See Also:
  Constant Field Values

### DUP2

    public static final short DUP2

See Also:
  Constant Field Values

### DUP2_X1

    public static final short DUP2_X1

See Also:
  Constant Field Values

### DUP2_X2

    public static final short DUP2_X2

See Also:
  Constant Field Values

### SWAP

    public static final short SWAP

See Also:
  Constant Field Values

### IADD

    public static final short IADD

See Also:
  Constant Field Values

### LADD

    public static final short LADD

See Also:
  Constant Field Values

### FADD

    public static final short FADD

See Also:
  Constant Field Values

### DADD

    public static final short DADD

See Also:
  Constant Field Values

### ISUB

    public static final short ISUB

See Also:
  Constant Field Values

### LSUB

    public static final short LSUB

See Also:
  Constant Field Values

### FSUB

    public static final short FSUB

See Also:
  Constant Field Values

### DSUB

    public static final short DSUB

See Also:
  Constant Field Values

### IMUL

    public static final short IMUL

See Also:
  Constant Field Values

### LMUL

    public static final short LMUL

See Also:
  Constant Field Values

### FMUL

    public static final short FMUL

See Also:
  Constant Field Values

### DMUL

    public static final short DMUL

See Also:
  Constant Field Values

### IDIV

    public static final short IDIV

See Also:
  Constant Field Values

### LDIV

    public static final short LDIV

See Also:
  Constant Field Values

### FDIV

    public static final short FDIV

See Also:
  Constant Field Values

### DDIV

    public static final short DDIV

See Also:
  Constant Field Values

### IREM

    public static final short IREM

See Also:
  Constant Field Values

### LREM

    public static final short LREM

See Also:
  Constant Field Values

### FREM

    public static final short FREM

See Also:
  Constant Field Values

### DREM

    public static final short DREM

See Also:
  Constant Field Values

### INEG

    public static final short INEG

See Also:
  Constant Field Values

### LNEG

    public static final short LNEG

See Also:
  Constant Field Values

### FNEG

    public static final short FNEG

See Also:
  Constant Field Values

### DNEG

    public static final short DNEG

See Also:
  Constant Field Values

### ISHL

    public static final short ISHL

See Also:
  Constant Field Values

### LSHL

    public static final short LSHL

See Also:
  Constant Field Values

### ISHR

    public static final short ISHR

See Also:
  Constant Field Values

### LSHR

    public static final short LSHR

See Also:
  Constant Field Values

### IUSHR

    public static final short IUSHR

See Also:
  Constant Field Values

### LUSHR

    public static final short LUSHR

See Also:
  Constant Field Values

### IAND

    public static final short IAND

See Also:
  Constant Field Values

### LAND

    public static final short LAND

See Also:
  Constant Field Values

### IOR

    public static final short IOR

See Also:
  Constant Field Values

### LOR

    public static final short LOR

See Also:
  Constant Field Values

### IXOR

    public static final short IXOR

See Also:
  Constant Field Values

### LXOR

    public static final short LXOR

See Also:
  Constant Field Values

### IINC

    public static final short IINC

See Also:
  Constant Field Values

### I2L

    public static final short I2L

See Also:
  Constant Field Values

### I2F

    public static final short I2F

See Also:
  Constant Field Values

### I2D

    public static final short I2D

See Also:
  Constant Field Values

### L2I

    public static final short L2I

See Also:
  Constant Field Values

### L2F

    public static final short L2F

See Also:
  Constant Field Values

### L2D

    public static final short L2D

See Also:
  Constant Field Values

### F2I

    public static final short F2I

See Also:
  Constant Field Values

### F2L

    public static final short F2L

See Also:
  Constant Field Values

### F2D

    public static final short F2D

See Also:
  Constant Field Values

### D2I

    public static final short D2I

See Also:
  Constant Field Values

### D2L

    public static final short D2L

See Also:
  Constant Field Values

### D2F

    public static final short D2F

See Also:
  Constant Field Values

### I2B

    public static final short I2B

See Also:
  Constant Field Values

### INT2BYTE

    public static final short INT2BYTE

See Also:
  Constant Field Values

### I2C

    public static final short I2C

See Also:
  Constant Field Values

### INT2CHAR

    public static final short INT2CHAR

See Also:
  Constant Field Values

### I2S

    public static final short I2S

See Also:
  Constant Field Values

### INT2SHORT

    public static final short INT2SHORT

See Also:
  Constant Field Values

### LCMP

    public static final short LCMP

See Also:
  Constant Field Values

### FCMPL

    public static final short FCMPL

See Also:
  Constant Field Values

### FCMPG

    public static final short FCMPG

See Also:
  Constant Field Values

### DCMPL

    public static final short DCMPL

See Also:
  Constant Field Values

### DCMPG

    public static final short DCMPG

See Also:
  Constant Field Values

### IFEQ

    public static final short IFEQ

See Also:
  Constant Field Values

### IFNE

    public static final short IFNE

See Also:
  Constant Field Values

### IFLT

    public static final short IFLT

See Also:
  Constant Field Values

### IFGE

    public static final short IFGE

See Also:
  Constant Field Values

### IFGT

    public static final short IFGT

See Also:
  Constant Field Values

### IFLE

    public static final short IFLE

See Also:
  Constant Field Values

### IF_ICMPEQ

    public static final short IF_ICMPEQ

See Also:
  Constant Field Values

### IF_ICMPNE

    public static final short IF_ICMPNE

See Also:
  Constant Field Values

### IF_ICMPLT

    public static final short IF_ICMPLT

See Also:
  Constant Field Values

### IF_ICMPGE

    public static final short IF_ICMPGE

See Also:
  Constant Field Values

### IF_ICMPGT

    public static final short IF_ICMPGT

See Also:
  Constant Field Values

### IF_ICMPLE

    public static final short IF_ICMPLE

See Also:
  Constant Field Values

### IF_ACMPEQ

    public static final short IF_ACMPEQ

See Also:
  Constant Field Values

### IF_ACMPNE

    public static final short IF_ACMPNE

See Also:
  Constant Field Values

### GOTO

    public static final short GOTO

See Also:
  Constant Field Values

### JSR

    public static final short JSR

See Also:
  Constant Field Values

### RET

    public static final short RET

See Also:
  Constant Field Values

### TABLESWITCH

    public static final short TABLESWITCH

See Also:
  Constant Field Values

### LOOKUPSWITCH

    public static final short LOOKUPSWITCH

See Also:
  Constant Field Values

### IRETURN

    public static final short IRETURN

See Also:
  Constant Field Values

### LRETURN

    public static final short LRETURN

See Also:
  Constant Field Values

### FRETURN

    public static final short FRETURN

See Also:
  Constant Field Values

### DRETURN

    public static final short DRETURN

See Also:
  Constant Field Values

### ARETURN

    public static final short ARETURN

See Also:
  Constant Field Values

### RETURN

    public static final short RETURN

See Also:
  Constant Field Values

### GETSTATIC

    public static final short GETSTATIC

See Also:
  Constant Field Values

### PUTSTATIC

    public static final short PUTSTATIC

See Also:
  Constant Field Values

### GETFIELD

    public static final short GETFIELD

See Also:
  Constant Field Values

### PUTFIELD

    public static final short PUTFIELD

See Also:
  Constant Field Values

### INVOKEVIRTUAL

    public static final short INVOKEVIRTUAL

See Also:
  Constant Field Values

### INVOKESPECIAL

    public static final short INVOKESPECIAL

See Also:
  Constant Field Values

### INVOKENONVIRTUAL

    public static final short INVOKENONVIRTUAL

See Also:
  Constant Field Values

### INVOKESTATIC

    public static final short INVOKESTATIC

See Also:
  Constant Field Values

### INVOKEINTERFACE

    public static final short INVOKEINTERFACE

See Also:
  Constant Field Values

### NEW

    public static final short NEW

See Also:
  Constant Field Values

### NEWARRAY

    public static final short NEWARRAY

See Also:
  Constant Field Values

### ANEWARRAY

    public static final short ANEWARRAY

See Also:
  Constant Field Values

### ARRAYLENGTH

    public static final short ARRAYLENGTH

See Also:
  Constant Field Values

### ATHROW

    public static final short ATHROW

See Also:
  Constant Field Values

### CHECKCAST

    public static final short CHECKCAST

See Also:
  Constant Field Values

### INSTANCEOF

    public static final short INSTANCEOF

See Also:
  Constant Field Values

### MONITORENTER

    public static final short MONITORENTER

See Also:
  Constant Field Values

### MONITOREXIT

    public static final short MONITOREXIT

See Also:
  Constant Field Values

### WIDE

    public static final short WIDE

See Also:
  Constant Field Values

### MULTIANEWARRAY

    public static final short MULTIANEWARRAY

See Also:
  Constant Field Values

### IFNULL

    public static final short IFNULL

See Also:
  Constant Field Values

### IFNONNULL

    public static final short IFNONNULL

See Also:
  Constant Field Values

### GOTO_W

    public static final short GOTO_W

See Also:
  Constant Field Values

### JSR_W

    public static final short JSR_W

See Also:
  Constant Field Values

### BREAKPOINT

    public static final short BREAKPOINT

  Non-legal opcodes, may be used by JVM internally.

  See Also:
    Constant Field Values

### LDC_QUICK

    public static final short LDC_QUICK

See Also:
  Constant Field Values

### LDC_W_QUICK

    public static final short LDC_W_QUICK

See Also:
  Constant Field Values

### LDC2_W_QUICK

    public static final short LDC2_W_QUICK

See Also:
  Constant Field Values

### GETFIELD_QUICK

    public static final short GETFIELD_QUICK

See Also:
  Constant Field Values

### PUTFIELD_QUICK

    public static final short PUTFIELD_QUICK

See Also:
  Constant Field Values

### GETFIELD2_QUICK

    public static final short GETFIELD2_QUICK

See Also:
  Constant Field Values

### PUTFIELD2_QUICK

    public static final short PUTFIELD2_QUICK

See Also:
  Constant Field Values

### GETSTATIC_QUICK

    public static final short GETSTATIC_QUICK

See Also:
  Constant Field Values

### PUTSTATIC_QUICK

    public static final short PUTSTATIC_QUICK

See Also:
  Constant Field Values

### GETSTATIC2_QUICK

    public static final short GETSTATIC2_QUICK

See Also:
  Constant Field Values

### PUTSTATIC2_QUICK

    public static final short PUTSTATIC2_QUICK

See Also:
  Constant Field Values

### INVOKEVIRTUAL_QUICK

    public static final short INVOKEVIRTUAL_QUICK

See Also:
  Constant Field Values

### INVOKENONVIRTUAL_QUICK

    public static final short INVOKENONVIRTUAL_QUICK

See Also:
  Constant Field Values

### INVOKESUPER_QUICK

    public static final short INVOKESUPER_QUICK

See Also:
  Constant Field Values

### INVOKESTATIC_QUICK

    public static final short INVOKESTATIC_QUICK

See Also:
  Constant Field Values

### INVOKEINTERFACE_QUICK

    public static final short INVOKEINTERFACE_QUICK

See Also:
  Constant Field Values

### INVOKEVIRTUALOBJECT_QUICK

    public static final short INVOKEVIRTUALOBJECT_QUICK

See Also:
  Constant Field Values

### NEW_QUICK

    public static final short NEW_QUICK

See Also:
  Constant Field Values

### ANEWARRAY_QUICK

    public static final short ANEWARRAY_QUICK

See Also:
  Constant Field Values

### MULTIANEWARRAY_QUICK

    public static final short MULTIANEWARRAY_QUICK

See Also:
  Constant Field Values

### CHECKCAST_QUICK

    public static final short CHECKCAST_QUICK

See Also:
  Constant Field Values

### INSTANCEOF_QUICK

    public static final short INSTANCEOF_QUICK

See Also:
  Constant Field Values

### INVOKEVIRTUAL_QUICK_W

    public static final short INVOKEVIRTUAL_QUICK_W

See Also:
  Constant Field Values

### GETFIELD_QUICK_W

    public static final short GETFIELD_QUICK_W

See Also:
  Constant Field Values

### PUTFIELD_QUICK_W

    public static final short PUTFIELD_QUICK_W

See Also:
  Constant Field Values

### IMPDEP1

    public static final short IMPDEP1

See Also:
  Constant Field Values

### IMPDEP2

    public static final short IMPDEP2

See Also:
  Constant Field Values

### PUSH

    public static final short PUSH

  For internal purposes only.

  See Also:
    Constant Field Values

### SWITCH

    public static final short SWITCH

See Also:
  Constant Field Values

### UNDEFINED

    public static final short UNDEFINED

  Illegal codes

  See Also:
    Constant Field Values

### UNPREDICTABLE

    public static final short UNPREDICTABLE

See Also:
  Constant Field Values

### RESERVED

    public static final short RESERVED

See Also:
  Constant Field Values

### ILLEGAL_OPCODE

    public static final java.lang.String ILLEGAL_OPCODE

See Also:
  Constant Field Values

### ILLEGAL_TYPE

    public static final java.lang.String ILLEGAL_TYPE

See Also:
  Constant Field Values

### T_BOOLEAN

    public static final byte T_BOOLEAN

See Also:
  Constant Field Values

### T_CHAR

    public static final byte T_CHAR

See Also:
  Constant Field Values

### T_FLOAT

    public static final byte T_FLOAT

See Also:
  Constant Field Values

### T_DOUBLE

    public static final byte T_DOUBLE

See Also:
  Constant Field Values

### T_BYTE

    public static final byte T_BYTE

See Also:
  Constant Field Values

### T_SHORT

    public static final byte T_SHORT

See Also:
  Constant Field Values

### T_INT

    public static final byte T_INT

See Also:
  Constant Field Values

### T_LONG

    public static final byte T_LONG

See Also:
  Constant Field Values

### T_VOID

    public static final byte T_VOID

See Also:
  Constant Field Values

### T_ARRAY

    public static final byte T_ARRAY

See Also:
  Constant Field Values

### T_OBJECT

    public static final byte T_OBJECT

See Also:
  Constant Field Values

### T_REFERENCE

    public static final byte T_REFERENCE

See Also:
  Constant Field Values

### T_UNKNOWN

    public static final byte T_UNKNOWN

See Also:
  Constant Field Values

### T_ADDRESS

    public static final byte T_ADDRESS

See Also:
  Constant Field Values

### TYPE_NAMES

    public static final java.lang.String[] TYPE_NAMES

  The primitive type names corresponding to the T_XX constants, e.g., TYPE_NAMES[T_INT] = "int"

### CLASS_TYPE_NAMES

    public static final java.lang.String[] CLASS_TYPE_NAMES

  The primitive class names corresponding to the T_XX constants, e.g., CLASS_TYPE_NAMES[T_INT] = "java.lang.Integer"

### SHORT_TYPE_NAMES

    public static final java.lang.String[] SHORT_TYPE_NAMES

  The signature characters corresponding to primitive types, e.g., SHORT_TYPE_NAMES[T_INT] = "I"

### NO_OF_OPERANDS

    public static final short[] NO_OF_OPERANDS

  Number of byte code operands, i.e., number of bytes after the tag byte itself.

### TYPE_OF_OPERANDS

    public static final short[][] TYPE_OF_OPERANDS

  How the byte code operands are to be interpreted.

### OPCODE_NAMES

    public static final java.lang.String[] OPCODE_NAMES

  Names of opcodes.

### CONSUME_STACK

    public static final int[] CONSUME_STACK

  Number of words consumed on operand stack by instructions.

### PRODUCE_STACK

    public static final int[] PRODUCE_STACK

  Number of words produced onto operand stack by instructions.

### ATTR_UNKNOWN

    public static final byte ATTR_UNKNOWN

  Attributes and their corresponding names.

  See Also:
    Constant Field Values

### ATTR_SOURCE_FILE

    public static final byte ATTR_SOURCE_FILE

See Also:
  Constant Field Values

### ATTR_CONSTANT_VALUE

    public static final byte ATTR_CONSTANT_VALUE

See Also:
  Constant Field Values

### ATTR_CODE

    public static final byte ATTR_CODE

See Also:
  Constant Field Values

### ATTR_EXCEPTIONS

    public static final byte ATTR_EXCEPTIONS

See Also:
  Constant Field Values

### ATTR_LINE_NUMBER_TABLE

    public static final byte ATTR_LINE_NUMBER_TABLE

See Also:
  Constant Field Values

### ATTR_LOCAL_VARIABLE_TABLE

    public static final byte ATTR_LOCAL_VARIABLE_TABLE

See Also:
  Constant Field Values

### ATTR_INNER_CLASSES

    public static final byte ATTR_INNER_CLASSES

See Also:
  Constant Field Values

### ATTR_SYNTHETIC

    public static final byte ATTR_SYNTHETIC

See Also:
  Constant Field Values

### ATTR_DEPRECATED

    public static final byte ATTR_DEPRECATED

See Also:
  Constant Field Values

### ATTR_PMG

    public static final byte ATTR_PMG

See Also:
  Constant Field Values

### ATTR_SIGNATURE

    public static final byte ATTR_SIGNATURE

See Also:
  Constant Field Values

### ATTR_STACK_MAP

    public static final byte ATTR_STACK_MAP

See Also:
  Constant Field Values

### KNOWN_ATTRIBUTES

    public static final short KNOWN_ATTRIBUTES

See Also:
  Constant Field Values

### ATTRIBUTE_NAMES

    public static final java.lang.String[] ATTRIBUTE_NAMES

### ITEM_Bogus

    public static final byte ITEM_Bogus

  Constants used in the StackMap attribute.

  See Also:
    Constant Field Values

### ITEM_Integer

    public static final byte ITEM_Integer

See Also:
  Constant Field Values

### ITEM_Float

    public static final byte ITEM_Float

See Also:
  Constant Field Values

### ITEM_Double

    public static final byte ITEM_Double

See Also:
  Constant Field Values

### ITEM_Long

    public static final byte ITEM_Long

See Also:
  Constant Field Values

### ITEM_Null

    public static final byte ITEM_Null

See Also:
  Constant Field Values

### ITEM_InitObject

    public static final byte ITEM_InitObject

See Also:
  Constant Field Values

### ITEM_Object

    public static final byte ITEM_Object

See Also:
  Constant Field Values

### ITEM_NewObject

    public static final byte ITEM_NewObject

See Also:
  Constant Field Values

### ITEM_NAMES

    public static final java.lang.String[] ITEM_NAMES

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.